# Insert Bulk Products Inserts multiple products to the Master Data table. The /loaddata operation is a very efficient and quick way to insert bulk data to the Master Data table. The main advantage is its greater speed when loading thousands of records (compared to e.g. /integrate). Use the ISO 8601 date format (YYYY-MM-DD) if a date is included in the table. >Please note: > If no joinFields are provided in the request, then this operation will insert entire records. It means that in this case (without joinFields) with /loaddata it is not possible to update just some fields (for this use the /integrate endpoint instead). The source data must always contain the entire row’s content. Endpoint: POST /loaddata/P Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `data` (object, required) - `data.header` (array, required) Specify header field names (table columns) of the record in the target table. - `data.options` (object) Specify options of the bulk data insertion. - `data.options.detectJoinFields` (boolean) Set to true to use join fields definitions from the server. Set to false to specify join fields with the joinFields parameter in the request. - `data.data` (array, required) Specify the field values in the same order as specified in the header object. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.status` (number) ## Response 400 fields